<?php

declare(strict_types=1);

namespace Smtm\Base\Context\System\Context\EnvInfo\Application\Hydrator;

use Smtm\Base\Application\Hydrator\DomainObjectHydrator;
use Smtm\Base\Context\System\Context\EnvInfo\Domain\EnvInfo;
use Smtm\Base\Domain\DomainObjectInterface;

class EnvInfoHydrator extends DomainObjectHydrator
{
    public function hydrate(array $data, object $object): DomainObjectInterface
    {
        /** @var EnvInfo $envInfo */
        $envInfo = $object;
        $envInfo->setGmDate(gmdate('c'));
        $dateTime = new \DateTime();
        $envInfo->setDate($dateTime);
        $envInfo->setTimeZone($dateTime->getTimezone());

        return parent::hydrate($data, $object); // TODO: Change the autogenerated stub
    }
}
